| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAddonReference Struct Reference

This interface represents a reference to an addon. More...

`#include <imap/saverref.h>`

Inheritance diagram for iAddonReference:

[legend]
List of all members.

## Public Member Functions
virtual iBase * | GetAddonObject () const =0
| Get the object that the addon references.
virtual const char * | GetParamsFile () const =0
| Get the file name of the params file.
virtual const char * | GetPlugin () const =0
| Get the SCF name of the plugin.
virtual iObject * | QueryObject ()=0
| Get the iObject for this interface.

## Detailed Description

This interface represents a reference to an addon.

Definition at line 61 of file saverref.h.

## Member Function Documentation

virtual iBase* iAddonReference::GetAddonObject | ( |  | ) | const`[pure virtual]`

Get the object that the addon references.

Implemented in csAddonReference.

virtual const char* iAddonReference::GetParamsFile | ( |  | ) | const`[pure virtual]`

Get the file name of the params file.

Implemented in csAddonReference.

virtual const char* iAddonReference::GetPlugin | ( |  | ) | const`[pure virtual]`

Get the SCF name of the plugin.

Implemented in csAddonReference.

virtual iObject* iAddonReference::QueryObject | ( |  | ) | `[pure virtual]`

Get the iObject for this interface.

Implemented in csAddonReference.

The documentation for this struct was generated from the following file:

- imap/saverref.h